/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package cours
{
	import starling.animation.Transitions;
	import starling.core.Starling;
	import starling.animation.Tween;
	import com.demonsters.debugger.MonsterDebugger;
	
	import flash.events.IOErrorEvent;
	import flash.events.Event;
	import flash.display.Bitmap;
	import flash.display.Loader;
	import flash.net.URLRequest;
	
	import starling.display.Sprite;
	import starling.display.Image;
	import starling.events.Event;
	import starling.textures.Texture;

	public class GameAssets extends Sprite
	{
		

		public function GameAssets()
		{
			// attend la fin de l'initialisation de la scène
			addEventListener(starling.events.Event.ADDED_TO_STAGE, onAdded);
		}

		private function onAdded(e : starling.events.Event) : void
		{
			// création du Loader
			var oLoader:Loader = new Loader();

			// écoute les évènements
			oLoader.contentLoaderInfo.addEventListener(flash.events.Event.COMPLETE, onComplete);
			oLoader.contentLoaderInfo.addEventListener(flash.events.IOErrorEvent.IO_ERROR, onError);
			
			// chargement de l'image
			oLoader.load(new URLRequest ("http://www.actionscript-facile.com/ressources/images/nature.jpg"));
		}
		
		
		/**
		 * Appel par l'objet Loader.
		 * 
		 */
		private function onError(event : IOErrorEvent) : void
		{
			MonsterDebugger.trace(this, "onError");
			MonsterDebugger.trace(this, event);
		}
		
		
		/**
		 * Appel par l'objet Loader.
		 * 
		 */
		private function onComplete(e : flash.events.Event) : void
		{
			MonsterDebugger.trace(this, "onComplete");
			
			// création de l'objet Bitmap
			var loadedBitmap:Bitmap = e.currentTarget.content as Bitmap;

			// création d'une texture
			var texture : Texture = Texture.fromBitmap(loadedBitmap);

			// création de l'objet image
			var image : Image = new Image(texture);
			
			// affiche l'image
			addChild(image);
			
			// création d'un objet tween
			var oTween : Tween = new Tween(image, 6, Transitions.EASE_OUT_ELASTIC);// en secondes

			oTween.fadeTo(0.3);// pour jouer sur la transparence alpha

			// ajout à Starling
			Starling.juggler.add(oTween);
		}
	}
}